// javac List2.java
// java List2
public class List2 {

	enum WEEKLY_DAY {
		MONDAY,
		TUESDAY,
		WEDNESDAY,
		THURSDAY,
		FRIDAY,
		SATURDAY,
		SUNDAY,
	}

	public static void main(String... args) {
		final WEEKLY_DAY day = WEEKLY_DAY.MONDAY; // 仮の値

		// ここから本文で触れた箇所
        String gomi = switch (day) {
            // switch文と同じ書き方（case XXX:）をする
            case MONDAY, THURSDAY:
                // "break 値"は"yield 値"に変更
                yield "燃えるゴミ";
            case FRIDAY:
                yield "燃えないゴミ";
            // 処理がある場合も同様にyieldに変更
            case TUESDAY, WEDNESDAY, SATURDAY, SUNDAY:
                // yield前に実行したい処理を書く
                System.out.println("ゴミ収集はお休みです。");
                yield "なし";
            default:
                // throwにはyieldはいらない
                throw new IllegalArgumentException();
        };
		// ここまで

		System.out.println(gomi);
	}
}
